#include <SD.h>

#define MINIMP3_ONLY_MP3
#define MINIMP3_IMPLEMENTATION

#include "minimp3.h"

#define SD_ChipSelectPin 10

void setup() {
  // put your setup code here, to run once:
  while (!SD.begin(SD_ChipSelectPin)) Serial.println("Waiting...");
  Serial.println("SD initialized.");
  
  static mp3dec_t mp3d;
  mp3dec_init(&mp3d);

  mp3dec_frame_info_t info;

  uint8_t buff[1];
  short pcm[1];
  mp3dec_decode_frame(&mp3d, buff, 128, pcm, &info);
}

void loop() {
  // put your main code here, to run repeatedly:

}
